ClearOS Bug Tracker


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0021291ClearOSapp-base - Base Systempublic2018-08-24 10:032018-09-04 11:03
Reporterpbaldwin 
Assigned Topbaldwin 
PrioritynormalSeverityfeatureReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version7.5.0 UpdatesFixed in Version7.5.0 Updates 
Summary0021291: Add REST client helper
DescriptionAdd a REST client library to the ClearOS API.

The Guzzle client (now integrated into the framework) is great, but it's a bit complex and verbose for many purposes. Developers can still use Guzzle directly, but adding a common library on top off Guzzle will reduce the complexity and duplicate code.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2018-08-24 10:03 pbaldwin New Issue
2018-08-24 10:03 pbaldwin Assigned To => pbaldwin
2018-08-24 10:03 pbaldwin Status new => confirmed
2018-08-28 20:34 pbaldwin Status confirmed => resolved
2018-08-28 20:34 pbaldwin Fixed in Version => 7.5.0 Updates
2018-08-28 20:34 pbaldwin Resolution open => fixed
2018-09-04 11:03 pbaldwin Status resolved => closed